Skip to main content

Retrieves the deployment status of a component identified by catalog_id.

GET 

/api/v2/deploy/:catalog_id

Retrieves and returns the current deployment status and progress of the specified component. For a Deploy V2 component, message_log is a JSON string of DeployV2StatusLog (per-task messages and any error); for legacy deploys it is plain text.

Request​

Path Parameters

    catalog_id stringrequired

    Catalog ID of the component

Responses​

Schema

    action string

    Manifest action this status belongs to (install for legacy and V1 deploys).

    catalogId stringrequired
    completedAt date-timenullable
    currentTime date-timenullable
    deviceId stringrequired
    eta int64nullable
    messageLog stringnullable

    Progress/status log. For a Deploy V2 component this is a JSON string of the DeployV2StatusLog struct (parse it for per-task messages and any error); for legacy deploys it is plain text.

    progress int32nullable
    requestedStatus object
    startedAt date-timenullable
    status object
    stoppedAt date-timenullable
    type ItemTyperequired

    Possible values: [software, map, cache, config]

Loading...